#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: tls
version: 1.3.1
id: tls-1.3.1-0be69e4f645f59bc96e985fb16a499eb
key: tls_GQZ2pfG8AarISsjMrei8EQ
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
synopsis: TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.
    .
    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.
    .
    Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.
    .
    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Internal Network.TLS.Extra Network.TLS.Extra.Cipher
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Context.Internal
                Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
                Network.TLS.Crypto.DH Network.TLS.Crypto.ECDH Network.TLS.ErrT
                Network.TLS.Extension Network.TLS.Extension.EC
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Key
                Network.TLS.Handshake.Client Network.TLS.Handshake.Server
                Network.TLS.Handshake.Process Network.TLS.Handshake.Signature
                Network.TLS.Handshake.State Network.TLS.Hooks Network.TLS.IO
                Network.TLS.MAC Network.TLS.Measurement Network.TLS.Packet
                Network.TLS.Parameters Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.Record.State Network.TLS.RNG Network.TLS.State
                Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
                Network.TLS.Util Network.TLS.Util.ASN1
                Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
                Network.TLS.X509
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/tls-1.3.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/tls-1.3.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/tls-1.3.1
hs-libraries: HStls-1.3.1-GQZ2pfG8AarISsjMrei8EQ
include-dirs: /usr/local/include
depends:
    asn1-encoding-0.9.0-1b9ce1d90b3d2da65b672a7a8ab95e4a
    asn1-types-0.3.0-1ad4cbd09c18a787b107aea5764d0fe4
    async-2.0.2-7323ce9f8a31649b3f9f961e623ae0eb
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    byteable-0.1.1-a7278182e3643648d81716d02a7463ff
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    cereal-0.4.1.1-c9f2a4854fdf3fb8237835c56b6025a5
    cryptonite-0.6-e2aac0780e975baeb973eba28baf2d17
    data-default-class-0.0.1-06f131700d8043a79c55259693817561
    memory-0.8-c8598dfda2b10cd91fa8a4611a9812bb
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    network-2.6.2.1-9490071e8bb5bde351680d4e75451a12
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    x509-1.6.0-4f733e70ce0d43ab860bc90f7fe21067
    x509-store-1.6.0-0866f89a09ff6eb184285bdcd6517751
    x509-validation-1.6.0-76aafa60c765576733d14eba2ca157dd
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/tls-1.3.1/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/tls-1.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
